%define name banshee-1
%define version 1.0.0
%define release %mkrel 1


Summary: Music player with mobile player support
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://banshee-project.org/files/banshee/%{name}-%{version}.tar.bz2
#Source0: http://banshee-project.org/files/banshee/%{name}-%{cvs}.tar.bz2
License: MIT
Group: Sound
Url: http://banshee-project.org/OnePointEx
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires: mono-devel
#Buildrequires: mono-zeroconf
Buildrequires: mono-addins
%if %mdvver < 200900
Buildrequires: gnome-sharp2
%else
Buildrequires: gnome-sharp2-devel
%endif
Buildrequires: sqlite3-devel
Buildrequires: libgstreamer-plugins-base-devel
BuildRequires: gstreamer0.10-cdparanoia
BuildRequires: gstreamer0.10-gnomevfs
BuildRequires: gstreamer0.10-plugins-good
Buildrequires: gnome-desktop-devel
Buildrequires: ndesk-dbus-glib
Buildrequires: taglib-sharp
Buildrequires: notify-sharp
Buildrequires: libmtp-devel >= 0.2.1
Buildrequires: ipod-sharp
Buildrequires: boo
BuildRequires: mono-tools >= 1.1.9
Buildrequires: perl-XML-Parser
Buildrequires: librsvg
Buildrequires: desktop-file-utils
Buildrequires: gnome-common intltool
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-ugly
Requires: gstreamer0.10-cdparanoia
Requires: gstreamer0.10-gnomevfs
Suggests: gstreamer0.10-xing
Suggests: gstreamer0.10-lame
Suggests: gstreamer0.10-faac
Suggests: gstreamer0.10-faad
Suggests: brasero

%description
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

This is a development version of banshee!

%package doc
Summary: Development documentation for %name
Group: Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9
Conflicts: banshee-doc

%description doc
This package contains the API documentation for the %name in
Monodoc format.

%prep
%setup -q -n %name-%version

%build
%configure2_5x  --enable-external-ndesk-dbus \
 --enable-mtp \
 --enable-karma \
 --with-gstreamer-0-10 

make HAVE_MONO_1_2_4=no

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std MONO=true
%find_lang %name
ln -sf %_prefix/lib/ipod-sharp/{ipod-sharp-ui*,ipod-sharp.dll*} %buildroot%_libdir/%name/Extensions

rm -f %buildroot%_libdir/%name/*.a

%post
%{update_menus}
%update_icon_cache hicolor
%update_desktop_database

%postun
%{clean_menus}
%clean_icon_cache hicolor
%clean_desktop_database

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc NEWS README ChangeLog AUTHORS
%_bindir/%name
%dir %_libdir/%name/
%_libdir/%name/Backends
%dir %_libdir/%name/Extensions
%_libdir/%name/Extensions/Banshee.AudioCd.dll*
%_libdir/%name/Extensions/Banshee.Bookmarks.dll*
%_libdir/%name/Extensions/Banshee.BooScript.dll*
%_libdir/%name/Extensions/Banshee.CoverArt.dll*
%_libdir/%name/Extensions/Banshee.Dap.Ipod.dll*
%_libdir/%name/Extensions/ipod-sharp*
%_libdir/%name/Extensions/Banshee.Dap.MassStorage.dll*
%_libdir/%name/Extensions/Banshee.Dap.Mtp.dll*
%_libdir/%name/Extensions/Banshee.Dap.dll*
%_libdir/%name/Extensions/Banshee.FileSystemQueue.dll*
%_libdir/%name/Extensions/Banshee.Lastfm.dll*
%_libdir/%name/Extensions/Banshee.MiniMode.dll*
%_libdir/%name/Extensions/Banshee.MultimediaKeys.dll*
%_libdir/%name/Extensions/Banshee.NotificationArea.dll*
%_libdir/%name/Extensions/Banshee.NowPlaying.dll*
%_libdir/%name/Extensions/Banshee.PlayQueue.dll*
%_libdir/%name/Extensions/Banshee.Podcasting.dll*
%_libdir/%name/*.exe*
%_libdir/%name/*.dll*
%_libdir/%name/*.so
%_libdir/%name/Banshee.Services.addins
%attr(644,root,root) %_libdir/%name/*.la
%_libdir/pkgconfig/%{name}*.pc
%_datadir/%name/
%_datadir/dbus-1/services/*
%_datadir/applications/%name.desktop
%_datadir/icons/hicolor/*/apps/*

%files doc
%defattr(-,root,root)
%_prefix/lib/monodoc/sources/banshee-docs*
%_prefix/lib/monodoc/sources/hyena-docs*


%changelog
* Wed Jun 11 2008 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 217864
- fix buildrequires for backports

* Sun Jun 08 2008 Funda Wang <fundawang@mandriva.org> 1.0.0-1mdv2009.0
+ Revision: 216969
- New version 1.0.0

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 0.99.3-1mdv2009.0
+ Revision: 213859
- New version 0.99.3

  + Götz Waschk <waschk@mandriva.org>
    - suggest brasero

* Fri May 23 2008 Götz Waschk <waschk@mandriva.org> 0.99.2-1mdv2009.0
+ Revision: 210281
- new version
- update file list

* Wed May 07 2008 Götz Waschk <waschk@mandriva.org> 0.99.1-1mdv2009.0
+ Revision: 202740
- new version
- update buildrequires
- update file list

* Fri Apr 11 2008 Götz Waschk <waschk@mandriva.org> 0.98.3-1mdv2009.0
+ Revision: 192587
- new version
- update buildrequires
- fix buildrequires

* Thu Mar 27 2008 Götz Waschk <waschk@mandriva.org> 0.98.2-1mdv2008.1
+ Revision: 190606
- update build deps
- update file list
- drop DAAP and media player support (not ported yet)
- branch for banshee 1 alpha

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-5mdv2008.1
+ Revision: 180324
- add support for autostart from nautilus

* Sun Jan 27 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-4mdv2008.1
+ Revision: 158901
- rebuild for new mono-zeroconf

* Thu Jan 24 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-3mdv2008.1
+ Revision: 157432
- rebuild for new mono-zeroconf

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-2mdv2008.1
+ Revision: 153977
- rebuild for new njb-sharp

* Thu Jan 10 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-1mdv2008.1
+ Revision: 147535
- new version
- drop patches 0,1
- update patch 2
- update buildrequires
- update file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.13.1-5mdv2008.0
+ Revision: 88622
- bump release
- drop old menu

* Fri Aug 31 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-4mdv2008.0
+ Revision: 77069
- fix dep on nss_mdns

* Fri Aug 31 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-3mdv2008.0
+ Revision: 76945
- fix deps
- fix buildrequires

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-2mdv2008.0
+ Revision: 76296
- fix pkgconfig file creation for external ndesk-dbus

* Mon Aug 20 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2008.0
+ Revision: 67304
- new version
- readd radio plugin

* Mon Aug 06 2007 Götz Waschk <waschk@mandriva.org> 0.13.0-2mdv2008.0
+ Revision: 59520
- build with external ndesk-dbus

* Mon Aug 06 2007 Götz Waschk <waschk@mandriva.org> 0.13.0-1mdv2008.0
+ Revision: 59340
- new version
- drop source 1, patches 1,2,3
- add bookmarks plugin

* Thu Jul 26 2007 Götz Waschk <waschk@mandriva.org> 0.12.1-2mdv2008.0
+ Revision: 55876
- add some fixes from Ubuntu
- drop Radio plugin

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdv2008.0
+ Revision: 13564
- new version
- bump deps

